package com.spc;

public class test {
    public static int jump(int[] nums) {
        int n = nums.length;
        if (n <= 1) {
            return 0;
        }

        int maxPos = nums[0]; // 当前能够到达的最远位置

        int end = nums[0]; // 当前跳跃的边界

        int steps = 1; // 跳跃的步数


        for (int i = 1; i < n; i++) {
            if (i > end) { // 需要进行下一次跳跃

                steps++;
                end = maxPos;
            }
            maxPos = Math.max(maxPos, i + nums[i]); // 更新当前能够到达的最远位置

        }

        return steps;
    }

    public static void main(String[] args) {
        int[] nums = {2, 3, 1, 1, 4, 5, 1, 6};
        int result = jump(nums);
        System.out.println(result);
    }
}
